//
// Drahtlose Übermittlung mit 433 MHz - Empfänger
//


#include <VirtualWire.h>

// Empfänger-Pin (PWM)
int RX_PIN = 11;
// ID Empfänger
int RX_ID = 3;

// Datenwerte
float sensorData1;
float sensorData2;
float sensorVbat;


// Daten als Struct
typedef struct txData
{
  int TX_ID;
  int Data1;
  int Data2;
  int VBat;
};


void setup()
{
  // Serielle Schnittstelle
  Serial.begin(9600);
  // Drahtlose Schnittstelle, 2000 Bits pro Sekunde
  vw_setup(2000);
  // Daten empfangen an Pin
  vw_set_rx_pin(RX_PIN);
  // Start Datenempfang
  vw_rx_start();
}  


void loop()
{
  // Struktur der empfangenen Daten
  struct txData RxData;
  // Grösse von empfangenen Daten
  uint8_t rxSize = sizeof(RxData);
  // Start Datenempfang
  vw_wait_rx();

  // prüfen, ob Daten vorhanden
  if (vw_get_message((uint8_t *)&RxData, &rxSize))
  {
  // prüfen, ob Sender und Empfänger-ID gleich sind  
  if (RxData.TX_ID == RX_ID)
    {
      // Integer-Werte der Sensordaten umwandeln
      int tmpRxData1=RxData.Data1;
      int tmpRxData2=RxData.Data2;
      int tmpVBat=RxData.VBat;
      sensorData1=tmpRxData1;
      sensorData1=sensorData1/10;
      sensorData2=tmpRxData2;
      sensorData2=sensorData2/10;
      sensorVbat=tmpVBat;
      sensorVbat=sensorVbat/1000;
      // Ausgabe der empfangenen Daten
      Serial.println("----------------------------------");
      Serial.print("TX ID:");
      Serial.println(RxData.TX_ID);
      Serial.print("Data 1: ");
      Serial.println(sensorData1);
      Serial.print("Data 2: ");
      Serial.println(sensorData2);
      Serial.print("VBat: ");
      Serial.println(sensorVbat);
      
      Serial.println("----------------------------------");
        } 
      else
        {
          Serial.println("IDs sind nicht identisch");
        } 
  } 
}


