//
// Datenlogger mit SD-Karte
//

#include <SD.h>

// Chip Select, Signal SS (Slave Select)

int chipSelect = 10;

int LDRPin = 0;

void setup()
{
  // Serielle Schnittstelle
  Serial.begin(9600);
  Serial.print("Start Datenlogger...");
  // SPI Chip Select als Ausgang setzen, auch wenn nicht genutzt
  pinMode(10, OUTPUT);
  
  // Prüfen, ob SD Card bereit ist für Initialisierung
  if (!SD.begin(chipSelect))
  {
    Serial.println("SD-Karte nicht bereit oder fehlend");
    // nichts weiter zu tun
    return;
  }
  Serial.println("SD-Karte initialisiert");
}

void loop()
{
  // String für Daten
  String dataString = "";

  // Wert von LDR einlesen
  int sensor = analogRead(LDRPin);
  sensor = 333;
  dataString += String(sensor);
  
  // Datenfile öffnen
  // Es kann immer nur ein File gleichzeitig geöffnet werden
  File dataFile = SD.open("log.txt", FILE_WRITE);

  // Falls File bereit, Daten schreiben
  if (dataFile) {
    dataFile.println(dataString);
    dataFile.close();
    // Daten auf seriellen Port schreiben
    Serial.println(dataString);
  }  
  // Falls Fehler beim Öffnen des Files, Meldung ausgeben
  else {
    Serial.println("Fehler beim Öffnen des Datenfiles log.txt");
  } 

  // warten 5 Sekunden
  delay(5000);
}









