//
// Fernsteuerung mit IR-Kit
//

#include <IRremote.h>

// Pin für IR-Empfänger
int irPin = 11;

// Pin LED
int ledPin = 8;

// Infrarot-Objekt erstellen
IRrecv irrecv(irPin);

// Empfangene Daten
decode_results results;

// Tastencode gemäss Beispiel Sparkfun
#define POWER 0x10EFD827 
#define A 0x10EFF807 
#define B 0x10EF7887
#define C 0x10EF58A7
#define UP 0x10EFA05F
#define DOWN 0x10EF00FF
#define LEFT 0x10EF10EF
#define RIGHT 0x10EF807F
#define SELECT 0x10EF20DF

void setup()
{
  // Ausgang LED setzen
  pinMode(ledPin, OUTPUT);
  // Serielle Schnittstelle starten
  Serial.begin(9600);
  // Start Datenempfang IR-Signal
  irrecv.enableIRIn();
  // Ausgang LED Aus
  digitalWrite(ledPin, LOW);
}

void loop() 
{
  if (irrecv.decode(&results)) 
  {
    // Taste A
    if (results.value == A) 
    {
      // LED Ein
      Serial.println("LED Ein - Taste A");
      digitalWrite(ledPin, HIGH);    
    }
    // Taste B
    if (results.value == B)
    {
      // LED Aus
      Serial.println("LED Aus - Taste B");
      digitalWrite(ledPin, LOW);    
    }
    // nächsten Wert empfangen
    irrecv.resume();
  }
}

