//
// Chirp - Bodenfeuchte-Sensor
//


#include <Wire.h>

void writeI2CRegister8bit(int addr, int value) 
{
  Wire.beginTransmission(addr);
  Wire.write(value);
  Wire.endTransmission();
}

unsigned int readI2CRegister16bit(int addr, int reg) 
{
  Wire.beginTransmission(addr);
  Wire.write(reg);
  Wire.endTransmission();
  delay(20);
  Wire.requestFrom(addr, 2);
  unsigned int t = Wire.read() << 8;
  t = t | Wire.read();
  return t;
}

void setup() 
{
  // I2C-Bus starten
  Wire.begin();
  // Serielle Schnittstelle starten
  Serial.begin(9600);
  // Sensor zurücksetzen
  writeI2CRegister8bit(0x20, 6);
  // Startmeldung
  Serial.println("Bodenfeuchte-Sensor - Start....");
  delay(500);
}

void loop() 
{
  Serial.print("Bodenfeuchte: ");
  // Register Kapazität lesen
  Serial.println(readI2CRegister16bit(0x20, 0));
  Serial.print("Temp: ");
  // Register Temperatur lesen
  Serial.println(readI2CRegister16bit(0x20, 5));
  Serial.print("Licht: ");
  // Lichtmessung ausführen
  writeI2CRegister8bit(0x20, 3);
  // Register Licht anzeigen
  Serial.println(readI2CRegister16bit(0x20, 4));
  Serial.println("------------------------------------");
  // 5 Sekunden warten
  delay(5000);
}
